<div class="order-devlivery-wrap" *ngIf="orderDetails">

  <div class="fp-jeeni">
    <img src="assets/images/jeeni-order-sum.png">
  </div>

  <div class="order-del-header">
    <span>{{'labelOrderSuccessMsg1' | translate: lang}}</span>
    <h2>{{'labelOrderSuccessMsg2' | translate: lang}}</h2>
  </div>
  <div class="first-purchase" *ngIf="orderDetails && orderDetails.firstOrder">   
    <div class="fp-msg">
        <h3>{{'CONGRATS' | translate: lang}}! </h3>
        <h4>{{'FIRST_ORDER_MESSAGE' | translate: lang}}</h4>
    </div>           
  </div>

  <div class="order-delivery-bg">
    <div class="row">
      <div class="col-md-4">
        <h6>{{'labelSummary' | translate: lang}}</h6>
        <mat-list role="list">
            <mat-list-item role="listitem">{{'labelOrderNo' | translate: lang}} <span>: {{orderDetails.orderDetails[0].orderNumber}}</span></mat-list-item>
            <mat-list-item role="listitem">{{'labelOrderDate' | translate: lang}}<span>: {{orderDetails.orderDetails[0].orderedDate | customDate}}</span></mat-list-item>
            <mat-list-item role="listitem">{{'labelOrderTotal' | translate: lang}} <span>:{{orderDetails.orderDetails[0].orderTotal | customCurrencyFormat}}</span></mat-list-item>
            <span *ngFor="let transaction of orderDetails.orderTransaction">
              <mat-list-item role="listitem" *ngIf="transaction.paymentMode === 4"><span *ngIf="orderDetails.orderTransaction[0].paymentMode === 1 || orderDetails.orderTransaction[0].paymentMode === 2">{{'labelwalletPayment' | translate: lang}} <span>:{{transaction.amount | customCurrencyFormat}}</span></span></mat-list-item>
            </span>
            <span *ngFor="let transaction of orderDetails.orderTransaction">
              <mat-list-item role="listitem" *ngIf="transaction.paymentMode === 2 && orderDetails.orderTransaction.length > 1">Stripe Payment :{{orderDetails.orderTransaction[0].amount | customCurrencyFormat}}</mat-list-item>
          </span>
          <span *ngFor="let transaction of orderDetails.orderTransaction">
              <mat-list-item role="listitem" *ngIf="transaction.paymentMode === 1">{{'labelAmountPaid' | translate: lang}} <span>:{{transaction.amount | customCurrencyFormat}}</span></mat-list-item>
            </span>
          </mat-list>
      </div>

      <div class="col-md-4 pt-1">
        <h6>{{'headingShippingAddress' | translate: lang}}</h6>
          <address>
              {{orderDetails.shippingAddress[0].addressOne}}, <sup></sup> {{orderDetails.shippingAddress[0].addressTwo ? (orderDetails.shippingAddress[0].addressTwo + ',') : ''}}<br>
              {{orderDetails.shippingAddress[0].townVillageName}}, {{orderDetails.shippingAddress[0].stateName}}<br>
              {{orderDetails.shippingAddress[0].countryName}} - {{orderDetails.shippingAddress[0].zipCode}}.
          </address>
      </div>
      
      <div class="col-md-4">
        <h6>{{'headingBillingAddress' | translate: lang}}</h6>
        <address>
          {{orderDetails.billingAddress[0].addressOne}}, <sup></sup> {{orderDetails.billingAddress[0].addressTwo ? (orderDetails.billingAddress[0].addressTwo + ',') : ''}}<br>
          {{orderDetails.billingAddress[0].townVillageName}}, {{orderDetails.billingAddress[0].stateName}}<br>
          {{orderDetails.billingAddress[0].countryName}} - {{orderDetails.billingAddress[0].zipCode}}.
      </address>
      </div>
    </div>

    <div class="row order-list">
      <div class="col order-prod" *ngFor="let product of orderDetails.productDetails">
        <div>
          <b>{{'labelProductName' | translate: lang}}</b>: {{product.productName}}
          <div *ngFor ="let productOption of product.productAttributes">{{productOption.optionName}}: <b>{{productOption.optionValueName}}</b></div>
        </div>
        <div>
          <b>{{'labelQuantity' | translate: lang}}</b>: {{product.quantity}}
        </div>
      </div>
    </div>
  </div>
  <div class="order-del-footer">
    <div class="footer-txt">{{'labelOrderSuccessMsg3' | translate: lang}}</div>
    <div class="showmore-wrap">
        <button (click)="continueShopping()" mat-raised-button color="primary">{{'buttonContinueShopping' | translate: lang}}</button>
    </div>
  </div>

</div>
